doctype html
.container(fxLayout='row', fxLayoutAlign='center center', fxFlex)
  div(fxFlex)
  div(fxLayout='row', fxLayoutAlign='end center', fxFlex.sm='600px', fxFlex.md='900px', fxFlex.gt-md='1200px')
    //- cart add button
    button.cart(md-fab, [mdMenuTriggerFor]='cartMenu', color='accent', *ngIf='this.add', mdTooltip='Add to the cart', (click)='cartItemsService.addItem(item)')
      md-icon add_shopping_cart
    //- cart button
    button.cart(md-fab, [mdMenuTriggerFor]='cartMenu', color='primary', *ngIf='!this.add', mdTooltip='Open the cart', [style.color]='"white"')
      md-icon shopping_cart
    //- cart menu
    md-menu(#cartMenu='mdMenu', [overlapTrigger]='false', yPosition='above', xPosition='before')
      md-list
        md-list-item(*ngFor='let item of items')
          .avatar(md-list-avatar)
            img.image(md-list-avatar, src='/assets/images/products/{{ item.slug }}.jpg', alt='')
            button.remove(md-mini-fab, color='primary', (click)='cartItemsService.removeItem(item)')
              md-icon remove
          h4(md-line) {{ item.name }}
          md-chip-list
            md-chip {{ item.total | currency:'USD':true }}
          p(md-line) {{ item.description }}
      md-divider
      md-list
        md-list-item.checkout(routerLink='/checkout', mdTooltip='Ready to pay?')
          button(md-list-avatar, md-mini-fab, color='accent')
            md-icon shopping_basket
          h4(md-line) Checkout
          md-chip-list
            md-chip(selected='true') {{ cartItemsService.total | currency:'USD':true }}
  div(fxFlex)
